2018-05-25 07:56:56 UTC
280 MB
1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://secure.php.net/get/php-7.2.5.tar.xz.asc/from/this/mirror
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_EXTRA_CONFIGURE_ARGS--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -Wl,--hash-style=both -pie
PHP_MD5 PHP_SHA256af70a33b3f7a51510467199b39af151333fbbe4cc21923bad9c7cf64268cddb2
PHP_URLhttps://secure.php.net/get/php-7.2.5.tar.xz/from/this/mirror
PHP_VERSION7.2.5
[#000] sha256:f2aa67a397c49232112953088506d02074a1fe577f65dc2052f158a3e5da52e8 - 7.67% (21.5 MB)
[#001] sha256:c533bdb78a46d6fc7392f5fd59496af8e95cd2eb52072c5bd9e262d8a9943e5b - 0.0% (228 Bytes)
[#002] sha256:65a7293804ac541b4e9fb51a61f31aba124f3f97a40712be982f7a3cdaa84426 - 22.99% (64.3 MB)
[#003] sha256:35a9c1f94aea2473a0dc8c23d711525935ef414c4744c0845e0f945501c788ca - 0.0% (183 Bytes)
[#004] sha256:e8295a1cf5014daba725e56b3e345c16c186abb6a6930857ca1b6b32aa9be147 - 4.21% (11.8 MB)
[#005] sha256:ecfd4131d4492bcc6ae586040a8f97f6f2ddbfe5762d5733fa2c076bdd928976 - 0.0% (499 Bytes)
[#006] sha256:24444ff64809f078c5ff794dabdef813f6c178cee24f05aee34ffe8ad439dee2 - 9.77% (27.3 MB)
[#007] sha256:ffe4527cdb01c7fc88524b5765057fdb75ab1d87da8df3854feae093cf23e9d1 - 0.0% (2.13 KB)
[#008] sha256:6df8325e8a9bd97c500ea3feb04702210c167e29a2521e223522f132a4e5f43f - 0.0% (264 Bytes)
[#009] sha256:ae3b34049f9ffe942078cf4df9dba3f55475d008cc6643c040bd47a3330c8444 - 0.0% (130 Bytes)
[#010] sha256:b5e54cdc1793d14742f45551856749baf863338b4b5c0f5eaf5e84f93703b59b - 0.0% (7.62 KB)
[#011] sha256:b2af9d55b70bf4742bc1cab05f3ac8724d9902ff353137af6980e0b88e01f8b8 - 1.6% (4.47 MB)
[#012] sha256:fc1e7d9b0bc4ee88608568a7beba28fa4d7a9f7d405a219a82197f91635a42e9 - 0.0% (163 Bytes)
[#013] sha256:ae4bde3728d66ab481da1fb33d81cb8dcea99d47468f4678c83023e68798ccbf - 6.56% (18.3 MB)
[#014] sha256:b9e1ccb0c7b00cd5c8f3434c0d4d3a3cb74b2350aed28908845df7ce6c08fca9 - 0.44% (1.22 MB)
[#015] sha256:1b9e056b7f7617ac750614e500b72339a9980ac9efbb867feb01939c60645845 - 23.22% (65 MB)
[#016] sha256:4c87bb2bffdd929adb87977a9f96c0a36b8f9f174394c604cdcfd6fc9811ed88 - 23.55% (65.9 MB)
/bin/sh -c #(nop) ADD file:ec5be7eec56a749752ca284359ece04f5eb0b981eac08b8855454c6b16e3893c in /
2018-04-28 07:09:59 UTC/bin/sh -c #(nop) CMD ["bash"]
2018-04-30 20:34:21 UTC/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php
2018-04-30 20:34:21 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2018-04-30 20:34:56 UTC/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*
2018-04-30 20:34:56 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2018-04-30 20:34:57 UTC/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d
2018-04-30 21:30:24 UTC/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data
2018-04-30 21:30:24 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2
2018-04-30 21:30:24 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2
2018-04-30 21:30:25 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie
2018-04-30 21:30:25 UTC/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
2018-04-30 21:30:25 UTC/bin/sh -c #(nop) ENV PHP_VERSION=7.2.5
2018-04-30 21:30:25 UTC/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.5.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.5.tar.xz.asc/from/this/mirror
2018-04-30 21:30:26 UTC/bin/sh -c #(nop) ENV PHP_SHA256=af70a33b3f7a51510467199b39af151333fbbe4cc21923bad9c7cf64268cddb2 PHP_MD5=
2018-04-30 21:30:40 UTC/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps
2018-04-30 21:30:40 UTC/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/
2018-05-05 00:32:04 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libargon2-0-dev libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --disable-cgi --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc
2018-05-05 00:32:05 UTC/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/
2018-05-05 00:32:06 UTC/bin/sh -c docker-php-ext-enable sodium
2018-05-05 00:32:06 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2018-05-05 00:32:06 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2018-05-05 00:32:07 UTC/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf
2018-05-05 00:32:07 UTC/bin/sh -c #(nop) EXPOSE 9000/tcp
2018-05-05 00:32:07 UTC/bin/sh -c #(nop) CMD ["php-fpm"]
2018-05-25 07:52:03 UTC/bin/sh -c #(nop) LABEL [email protected]
2018-05-25 07:52:03 UTC/bin/sh -c #(nop) ARG version=3.8.0+180522
2018-05-25 07:52:18 UTC|1 version=3.8.0+180522 /bin/sh -c apt-get update && DEBIAN_FRONTEND=noninteractive apt-get install --no-install-recommends -y libldap2-dev zlib1g-dev libc-client-dev libkrb5-dev libpng-dev libpq-dev && apt-get autoclean; apt-get autoremove && rm -rf /var/lib/apt/lists/*
2018-05-25 07:52:19 UTC|1 version=3.8.0+180522 /bin/sh -c ln -fs /usr/lib/x86_64-linux-gnu/libldap.so /usr/lib/
2018-05-25 07:52:47 UTC|1 version=3.8.0+180522 /bin/sh -c docker-php-ext-configure imap --with-kerberos --with-imap-ssl
2018-05-25 07:56:31 UTC|1 version=3.8.0+180522 /bin/sh -c docker-php-ext-install -j5 gd imap ldap mbstring pdo pdo_mysql pdo_pgsql pgsql zip
2018-05-25 07:56:35 UTC/bin/sh -c #(nop) ADD c0ebf96548f5b794dbf95da1dfa0af6c1e1b31cc94a84ee3ae1067856c66d7dd in /tmp
2018-05-25 07:56:56 UTC|1 version=3.8.0+180522 /bin/sh -c tar xzvf "/tmp/${version}.tar.gz" --strip-components=1 -C /var/www/html/ && rm "/tmp/${version}.tar.gz" && chown -R www-data:www-data /var/www/html
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.